{"title":"Update items (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_item_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_item_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_item_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Updates an item object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Update items (v1.0)","slug":"update-items-v10","at":0,"chars":2331},{"level":2,"title":"HTTP request","slug":"http-request","at":84,"chars":206},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":290,"chars":264},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":554,"chars":347},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":901,"chars":133},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1034,"chars":1075},{"level":2,"title":"Related information","slug":"related-information","at":2109,"chars":222}],"text":"# Update items (v1.0)\nUpdate the properties of an item object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({id})/items({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json.\nIf-Match|Required. When this request header is included and the eTag provided does not match the current tag on the items, the items will not be updated.\n## Request body (v1.0)\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and an updated items object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/companies({id})/items({id})\nContent-type: application/json\n\n{\n  \"displayName\": \"ATHENS Desk - blocked\",\n  \"blocked\": true\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 200 OK\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"number\": \"1896-S\",\n  \"displayName\": \"ATHENS Desk - blocked\",\n  \"type\": \"Inventory\",\n  \"blocked\": true,\n  \"baseUnitOfMeasureId\": \"id-value\",\n  \"baseUnitOfMeasure\": {\n    \"unitCode\": \"PCS\",\n    \"unitName\": \"Piece\",\n    \"symbol\": \"\",\n    \"unitConversion\": null\n  },\n  \"gtin\": \"\",\n  \"itemCategory\": {\n    \"categoryId\": \"TABLE\",\n    \"description\": \"Assorted Tables\"\n  },\n  \"inventory\": 0,\n  \"unitPrice\": 1000.8,\n  \"priceIncludesTax\": false,\n  \"unitCost\": 780.7,\n  \"taxGroupId\": \"id-value\",\n  \"taxGroupCode\": \"FURNITURE\",\n  \"lastModifiedDateTime\": \"2017-03-07T00:35:30.073Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips> .\n../dynamics_error_codes\n../resources/dynamics_item\ndynamics_item_get\nPost Item<dynamics_create_item>\ndynamics_item_delete"}